Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class AbstractStepResult.Pending

    java.lang.Object
      org.jbehave.core.steps.AbstractStepResult
          org.jbehave.core.steps.AbstractStepResult.Pending

All Implemented Interfaces:
  StepResult

Enclosing class:
  AbstractStepResult

    public static class AbstractStepResult.Pending

extends AbstractStepResult

Nested Class Summary

Nested classes/interfaces inherited from class org.jbehave.core.steps.AbstractStepResult
`AbstractStepResult.Failed, AbstractStepResult.Ignorable, AbstractStepResult.NotPerformed, AbstractStepResult.Pending, AbstractStepResult.Skipped, AbstractStepResult.Successful`

Field Summary

Fields inherited from class org.jbehave.core.steps.AbstractStepResult
`step, throwable`

Constructor Summary
`AbstractStepResult.Pending(String step)`
`AbstractStepResult.Pending(String step, PendingStepFound e)`

Method Summary
`void` | `describeTo(StoryReporter reporter)`

Methods inherited from class org.jbehave.core.steps.AbstractStepResult
`failed, failed, getFailure, ignorable, notPerformed, parametrisedStep, pending, pending, skipped, successful, toString, withParameterValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractStepResult.Pending

    public AbstractStepResult.Pending(String step)

### AbstractStepResult.Pending

    public AbstractStepResult.Pending(String step,
                                      PendingStepFound e)

Method Detail

### describeTo

    public void describeTo(StoryReporter reporter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.